* {
  margin: 0;
  padding: 0;
  text-decoration: none;
  list-style: none;
  box-sizing: border-box;
  /*Para que los elementos no salgan del contenedor*/
}

body {
  background-color: #D9D9D9;
}

/*Navegación*/

nav {
  background: #ffffff;
  height: 88px;
  width: 100%;
  left: 0;
  top: 0;
  position: fixed;
}

.link {
  position: absolute;
  padding: 30px 50px;
}

.logo {
  width: 460px;
}

nav ul {
  float: right;
  margin-right: 20px;
  margin-top: 8px;
}

nav ul li {
  display: inline-block;
  line-height: 80px;
  margin: 0 5px;
  font-family: "Bebas Neue", cursive;
  letter-spacing: 4px;
}

nav ul li a {
  color: #000000;
  font-size: 18px;
  padding: 7px 13px;
  text-transform: uppercase;
  border-radius: 3px;
}

li a.active,
li a:hover {
  background: #000000;
  color: #ffffff;
  transition: 0.8s;
}

.nav__btn img {
  height: 20px;
  width: 30px;
}

.nav__btn {
  float: right;
  line-height: 80px;
  margin-right: 40px;
  cursor: pointer;
  display: none;
}

#check {
  display: none;
}

/*Sección Welcome*/
.welcome {
  background: url("./imagenes/BannerImage.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center center;
  height: calc(100vh - 80px);
  width: 100%;
  object-fit: contain;
}

.welcome img {
  object-fit: contain;
}

.moviesWelcome {
  text-align: center;
  margin: 2rem;
  padding-top: 10px;
  font-size: 30px;
  font-family: 'Abel', sans-serif;
  font-style: normal;
  font-variant: normal;
}

/*Estilos para el Boton ordenar A-Z*/
#btn1 {
  float: right;
  margin-right: 40px;
  color: #000000;
  font-size: 26px;
  padding: 7px 13px;
  border-radius: 3px;
  font-family: 'Abel', sans-serif;
  font-style: normal;
  font-variant: normal;
}

/*Estilos de las tarjetas*/

.cardContainer {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  column-gap: 40px;
  row-gap: 40px;
}

.card {
  cursor: pointer;
  background: #FFFFFF;
  text-align: center;
  border-radius: 1rem;
  box-shadow: #0000;
  transition: 0.3s
}

.card img {
  width: 90%;
  margin-top: 16px;
  border-radius: 5px;
}

.cardText * {
  margin: 0.5rem;
}

.filmTitle {
  font-family: "Bebas Neue", cursive;
}

.filmDescription {
  font-family: 'Abel', sans-serif;
}

.releaseDate {
  font-family: 'Abel', sans-serif;
  font-size: large;
}

.directorAndProducer {
  font-family: 'Abel', sans-serif;
  font-size: medium;
}

/*Estilos para los filtros*/
.filterOptions {
  display: flex;
  justify-content: space-between;
  margin-bottom: 20px;
}

select {
  width: 100%;
  padding: 7px 13px;
  margin-top: 5px;
  margin-left: 20px;
  font-size: 24px;
  border-radius: 3px;
  padding: 7px 13px;
  font-family: 'Abel', sans-serif;
  font-style: normal;
  font-variant: normal;
}

/*Estilos para el dato curioso*/
.container__curiousFactImage {
  display: flex;
  justify-content: center;
  margin: 40px;
}

.curiousFactImage {
  border-radius: 10px;
}

.filmTitle--curiousFact {
  font-family: "Bebas Neue", cursive;
  font-size: 40px;
}

/*Estilos para el footer*/
.footer {
  background-color: #000000;
  color: #FFFFFF;
  font-size: 20px;
  height: 60px;
  font-family: 'Abel', sans-serif;
  text-align: center;
  margin-top: 30px;
  display: flex;
  justify-content: center;
  align-items: center;
}

/*Estilos para movil Y Tablet*/

@media (max-width: 1300px) {
  nav ul li a {
    font-size: 16px;
  }

  .nav__btn {
    display: block;
  }

  ul {
    position: fixed;
    width: 100%;
    height: 100vh;
    background: #000;
    top: 80px;
    left: -100%;
    text-align: center;
    transition: all 0.5s;
  }

  nav ul li {
    display: block;
    margin: 50px 0;
    line-height: 30px;
  }

  nav ul li a {
    font-size: 20px;
    color: #ffffff;
  }

  li a:hover,
  li a.active {
    background: none;
  }

  #check:checked~ul {
    left: 0;
  }

  #check:checked~.welcome {
    left: -100%;
  }

  .logo {
    width: 584px;
    margin-left: 104px;
    padding-left: 50px;
    margin-bottom: -14px;
  }

  .welcome {
    margin-top: 20px;
  }

  .cardContainer {
    display: block;
  }

  .card {
    margin: 40px 60px;
  }
}

@media (max-width: 952px) {
  nav ul li a {
    font-size: 16px;
  }
}

@media (max-width: 858px) {
  .nav__btn {
    display: block;
  }

  ul {
    position: fixed;
    width: 100%;
    height: 100vh;
    background: #000;
    top: 80px;
    left: -100%;
    text-align: center;
    transition: all 0.5s;
  }

  nav ul li {
    display: block;
    margin: 50px 0;
    line-height: 30px;
  }

  nav ul li a {
    font-size: 20px;
    color: #ffffff;
  }

  li a:hover,
  li a.active {
    background: none;
  }

  #check:checked~ul {
    left: 0;
  }

  #check:checked~.welcome {
    left: -100%;
  }

  .logo {
    width: 584px;
    margin: -23px;
    padding-left: 50px;
    margin-bottom: -14px;
  }

  .welcome {
    margin-top: 20px;
  }
}